Bug 842936 - Empty sections in Security Guide
Empty sections in Security Guide
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Security_Guide (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Tomas Capek
ecs-bugs
: Documentation
Depends On: 841825
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 22:11 EDT by eric@christensenplace.us
Modified: 2013-09-30 10:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 841825
Environment:
Last Closed: 2013-09-30 10:22:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (5.34 KB, patch)
2012-07-24 22:11 EDT, eric@christensenplace.us
no flags Details | Diff
A patch for the patch (5.85 KB, patch)
2012-07-24 22:39 EDT, eric@christensenplace.us
no flags Details | Diff
Full chapter (9.31 KB, text/xml)
2012-07-24 23:03 EDT, eric@christensenplace.us
no flags Details

  None (edit)
Description eric@christensenplace.us 2012-07-24 22:11:05 EDT
Created attachment 600205 [details]
Patch

+++ This bug was initially created as a clone of Bug #841825 +++

Description of problem:

In Fedroa 17 "Security Guide", in section "2. Basic Hardening Guide", subsections from "2.6. Networking" to "2.13. NTP" are all empty.

--- Additional comment from eric@christensenplace.us on 2012-07-23 22:03:52 EDT ---

Yep, they are blank.  I'm regenerating the code and will check to see if it gets fixed this time around.

--- Additional comment from eric@christensenplace.us on 2012-07-24 22:08:38 EDT ---

Created attachment 600204 [details]
Patch

The blanks were intentional placeholders but should have been commented out.  Instead of 'fixing' the blanks by commenting out the code, again, I added text.

--- Additional comment from eric@christensenplace.us on 2012-07-24 22:08:55 EDT ---

Ready for QA.
Comment 1 eric@christensenplace.us 2012-07-24 22:13:32 EDT
This bug came from the Fedora community.  There were placeholders showing in the Basic_Hardening.xml file.  The RHEL Security Guide was checked and noted that the placeholders were there as well although they were commented out.  

This text is a bit rough but should help fill out that area a bit.

If you'd like to include it in the RHEL doc feel free.
Comment 3 eric@christensenplace.us 2012-07-24 22:39:46 EDT
Created attachment 600212 [details]
A patch for the patch

This patch is a patch for the patch.  :(

QA found a couple of errors that were fixed.
Comment 4 eric@christensenplace.us 2012-07-24 23:03:56 EDT
Created attachment 600217 [details]
Full chapter

I wasn't very diligent on the patches...  Here's the entire chapter.  The bottom portions are what were changed.
Comment 5 Tomas Capek 2013-09-30 10:22:43 EDT
I just took over maintenance of the RHEL book but cannot see the sections from the patch in it. The issue seems to be obsolete now so I am closing it.

Please advise if I missed something.

Note You need to log in before you can comment on or make changes to this bug.